import java.util.*;
class Map{
	private String[] orte = {"A","B","C","D"};
	private int[][] dist = {{ 0,20,42,35},
							{ 20,0,30,34},
							{ 42,30,0,12},
							{ 35,34,12,0}};
					
	int getNumOrte(){ return orte.length;}
	int getDist(String x, String y){return dist[indexOf(x)][indexOf(y)];}
	String getStart(){return "A";}
	
	List<String> res = new LinkedList<>();
	List<String> getNeighbors(String x){
		res.clear();
		for(int i=0; i < orte.length; i++){
			if(getDist(x,orte[i]) > 0)
				res.add(orte[i]);
		}
		return res;
	}
	
	
	private int indexOf(String x){
		switch(x){
			case "A" : return 0;
			case "B" : return 1;
			case "C" : return 2;
			case "D" : return 3;
		}
		return -1;
	}

}