
import java.util.*;

class Suche{
	
	int loops = 0; // count loops as performance measure
	Suche(){
		//TSP p = new TSP(new Map());
		Golomb p = new Golomb(4);
		solveDFS(p);
		//solveBnB(p);
	//	solveBFS(p);
		System.out.println(loops+" Aufrufe von feasible/successors");
	}
	
	void solveDFS(Problem p){
		MyStack<Problem> start = new MyStack<>();
		start.myPush(p);
		solve(start);
		System.out.println("Beste Lsung: "+best.toString());
	}
	
	void solveBnB(Problem p){
		MyOrderedQueue<Problem> start = new MyOrderedQueue<>();
		start.myPush(p);
		solve(start);
		System.out.println("Beste Lsung: "+best.toString());
	}
	
	void solveBFS(Problem p){
		MyQueue<Problem> start = new MyQueue<>();
		start.myPush(p);
		solve(start);
		System.out.println("Beste Lsung: "+best.toString());
	}
	
	Problem best = null;
	
	void solve(DataStructure<Problem> ps){
		while(!ps.empty()){
			Problem s = ps.pop();
			//System.out.println("stack: "+ps.toString());
			//if( best!= null && s.getCurrentQuality() >= best.getQuality()) continue;// Bound				
			loops++;
			if(s.feasible()){
				System.out.println("Loesung: "+s.toString());
				if(best == null || best.getQuality() > s.getQuality()) // den besten abspeichern
					best = s;
			}
			for( Problem next : s.successors()) {
				ps.myPush(next);			
			}
		}
	}
	
	public static void main(String[] a){
		new Suche();	
	}
}